Bug 161537 - No compat-gcc-3.4 for FC4
No compat-gcc-3.4 for FC4
Product: Fedora
Classification: Fedora
Component: compat-gcc (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Depends On:
  Show dependency treegraph
Reported: 2005-06-23 22:10 EDT by John Ellson
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-06-24 15:11:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description John Ellson 2005-06-23 22:10:56 EDT
Description of problem:
The latest update to gcc on FC3 was to gcc-3.4.3-22.fc3.i386.rpm
There should be a compat-gcc-3.4 for FC4 to mainatain capabilities for
developers (particularly for C++).

Version-Release number of selected component (if applicable):
compat-gcc-3.4.3-22.fc4.i386.rpm (is needed)

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Jakub Jelinek 2005-06-24 15:11:24 EDT
Fedora Core can't include too many compilers, there were many packages dropped
from Core already to Extras for size reasons.  If anywhere, the extra compilers
would belong to Extras, if anybody volunteers to maintain them.

FC4 includes 3.2.3-RH compat-gcc on purpose.  GCC 3.4.3-RH is ABI compatible
with GCC 4.0.0-RH and uses (almost) the same C++ parser (recursive decent parser,
not very permissive for non-compliant C++ source), while GCC 3.2.3-RH (and 3.3.x)
included a different parser, much more permissive etc. and 3.2.3-RH is ABI
incompatible with 3.4.3/4.0.0.

Of course there are some differences between 3.4.x and 4.0.x parser, but they
are fairly minor.  The major difference between 3.4.x and 4.0.x is in the
compiler middle-end, but that does not justify including 3.4.3 in FC4.

Note You need to log in before you can comment on or make changes to this bug.